/********************************************
   global variables used in many files
*********************************************/



#include <stdio.h>

#include "common.h"
#include "globalVars.h"

/**********************************
 vars common to all programs 
**********************************/

FILE *debugFileNum;

BOOLEAN debugMode = FALSE;
#ifdef LSADJUST
BOOLEAN relayoutCliServMode = FALSE;
#endif
BOOLEAN relationOnlyInput = FALSE;

BOOLEAN printParseError = FALSE;

enum layoutModel layoutKind = nested;


/************************************
   vars used in LSLAYOUT  program 
*************************************/
#ifdef LSLAYOUT

int WINDOW_WIDTH = 800;
int WINDOW_HEIGHT = 600;

BOOLEAN emitTA = FALSE;

char *subsystemName = NULL;

#endif


/************************************
   vars used in LSADJUST or LSDIFF program 
*************************************/

#if defined(LSADJUST) || defined(LSDIFF)

char *oldSubSysName = NULL;
char *newSubSysName = NULL;

enum compressType compress = max;

float SHRINK = 1;


#define VAL 30

float MIN_CLIENT_HEIGHT = VAL;
float MIN_CLIENT_WIDTH = VAL * WIDTH_TO_HEIGHT_RATIO;
   
float MIN_SERVER_HEIGHT = VAL;
float MIN_SERVER_WIDTH = VAL * WIDTH_TO_HEIGHT_RATIO;

float MIN_CONTAINER_ENTITY_HEIGHT = VAL;
float MIN_CONTAINER_ENTITY_WIDTH = VAL * WIDTH_TO_HEIGHT_RATIO;

#endif  /* LSADJUST || LSDIFF */
