/***************************************************
Interface to globalVars.c

declarations of global vars used in multiple files
***************************************************/


#ifndef GLOBALVARS_H
#define GLOBALVARS_H

#include <stdio.h>

#include "common.h"

/**********************************
   vars common to all programs 
**********************************/

extern FILE *debugFileNum;

extern BOOLEAN debugMode;
extern BOOLEAN relationOnlyInput;

extern BOOLEAN printParseError;

#ifdef LSADJUST
extern BOOLEAN relayoutCliServMode;
#endif

extern enum layoutModel layoutKind;

/************************************
   vars used in lslayout  program 
*************************************/
#ifdef LSLAYOUT

extern int WINDOW_WIDTH;
extern int WINDOW_HEIGHT;

extern BOOLEAN emitTA;

extern char *subsystemName;

#endif

/************************************
   vars used in lsadjust or lsdiff program 
*************************************/
#if defined(LSADJUST) || defined(LSDIFF)

extern char *oldSubSysName;
extern char *newSubSysName;

extern enum compressType compress;

extern float SHRINK;

extern float MIN_CLIENT_HEIGHT;
extern float MIN_CLIENT_WIDTH;
   
extern float MIN_SERVER_HEIGHT;
extern float MIN_SERVER_WIDTH;

extern float MIN_CONTAINER_ENTITY_HEIGHT;
extern float MIN_CONTAINER_ENTITY_WIDTH;

#endif

#endif
